Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class GenericProcessingInstruction

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractChildNode
              org.apache.batik.dom.AbstractProcessingInstruction
                  org.apache.batik.dom.GenericProcessingInstruction

All Implemented Interfaces:
  Serializable, NodeEventTarget, ExtendedNode, NodeXBL, XBLManagerData, EventTarget, Node, ProcessingInstruction

    public class GenericProcessingInstruction

extends AbstractProcessingInstruction

This class implements the `ProcessingInstruction` interface.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `readonly` Is this node immutable?
`protected String` | `target` The target.

Fields inherited from class org.apache.batik.dom.AbstractProcessingInstruction
`data`

Fields inherited from class org.apache.batik.dom.AbstractChildNode
`nextSibling, parentNode, previousSibling`

Fields inherited from class org.apache.batik.dom.AbstractNode
`DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, EMPTY_NODE_LIST, eventSupport, managerData, ownerDocument, userData, userDataHandlers`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `GenericProcessingInstruction()` Creates a new ProcessingInstruction object.
`` | `GenericProcessingInstruction(String target, String data, AbstractDocument owner)` Creates a new ProcessingInstruction object.

Method Summary
`protected Node` | `copyInto(Node n)` Copy the fields of the current node into the given node.
`protected Node` | `deepCopyInto(Node n)` Deeply copy the fields of the current node into the given node.
`protected Node` | `deepExport(Node n, AbstractDocument d)` Deeply exports this node to the given document.
`protected Node` | `export(Node n, AbstractDocument d)` Exports this node to the given document.
`String` | `getTarget()` DOM: Implements `ProcessingInstruction.getTarget()`.
`boolean` | `isReadonly()` Tests whether this node is readonly.
`protected Node` | `newNode()` Returns a new uninitialized instance of this object's class.
`void` | `setNodeName(String v)` Sets the node name.
`void` | `setReadonly(boolean v)` Sets this node readonly attribute.
`void` | `setTarget(String v)` Sets the target value.

Methods inherited from class org.apache.batik.dom.AbstractProcessingInstruction
`getData, getNodeName, getNodeType, getNodeValue, getTextContent, setData, setNodeValue`

Methods inherited from class org.apache.batik.dom.AbstractChildNode
`getNextSibling, getParentNode, getPreviousSibling, setNextSibling, setParentNode, setPreviousSibling`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, addEventListenerNS, appendChild, checkChildType, cloneNode, compareDocumentPosition, compareNamedNodeMaps, compareStrings, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedFromDocumentEvent, fireUserDataHandlers, getAttributes, getBaseURI, getBaseURI, getCascadedXMLBase, getChildNodes, getCurrentDocument, getEventSupport, getFeature, getFirstChild, getLastChild, getLocalName, getManagerData, getNamespaceURI, getOwnerDocument, getParentNodeEventTarget, getPrefix, getUserData, getXblBoundElement, getXblChildNodes, getXblDefinitions, getXblFirstChild, getXblFirstElementChild, getXblLastChild, getXblLastElementChild, getXblNextElementSibling, getXblNextSibling, getXblParentNode, getXblPreviousElementSibling, getXblPreviousSibling, getXblScopedChildNodes, getXblShadowTree, hasAttributes, hasChildNodes, hasEventListenerNS, initializeEventSupport, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, lookupPrefix, normalize, removeChild, removeEventListener, removeEventListenerNS, replaceChild, setManagerData, setOwnerDocument, setPrefix, setSpecified, setTextContent, setUserData, willTriggerNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setPrefix, setTextContent, setUserData`

Field Detail

### target

    protected String target

  The target.

### readonly

    protected boolean readonly

  Is this node immutable?

Constructor Detail

### GenericProcessingInstruction

    protected GenericProcessingInstruction()

  Creates a new ProcessingInstruction object.

### GenericProcessingInstruction

    public GenericProcessingInstruction(String target,
                                        String data,
                                        AbstractDocument owner)

  Creates a new ProcessingInstruction object.

Method Detail

### setNodeName

    public void setNodeName(String v)

  Sets the node name.

  Specified by:
    `setNodeName` in interface `ExtendedNode`
  Overrides:
    `setNodeName` in class `AbstractNode`

### isReadonly

    public boolean isReadonly()

  Tests whether this node is readonly.

### setReadonly

    public void setReadonly(boolean v)

  Sets this node readonly attribute.

### getTarget

    public String getTarget()

  DOM: Implements `ProcessingInstruction.getTarget()`.

  Returns:
    `target`.

### setTarget

    public void setTarget(String v)

  Sets the target value.

### export

    protected Node export(Node n,
                          AbstractDocument d)

  Exports this node to the given document.

  Overrides:
    `export` in class `AbstractProcessingInstruction`

### deepExport

    protected Node deepExport(Node n,
                              AbstractDocument d)

  Deeply exports this node to the given document.

  Overrides:
    `deepExport` in class `AbstractProcessingInstruction`

### copyInto

    protected Node copyInto(Node n)

  Copy the fields of the current node into the given node.

  Overrides:
    `copyInto` in class `AbstractProcessingInstruction`
  Parameters:
    `n` - a node of the type of this.

### deepCopyInto

    protected Node deepCopyInto(Node n)

  Deeply copy the fields of the current node into the given node.

  Overrides:
    `deepCopyInto` in class `AbstractProcessingInstruction`
  Parameters:
    `n` - a node of the type of this.

### newNode

    protected Node newNode()

  Returns a new uninitialized instance of this object's class.

  Specified by:
    `newNode` in class `AbstractNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.